Page MenuHomePhabricator

OAuth time out is too short
Closed, ResolvedPublic

Description

When using https://tools.wmflabs.org/ia-upload/ , OAuth time out is too short. It should be at least 24 hours.

Related Objects

StatusSubtypeAssignedTask
ResolvedSamwilson

Event Timeline

Yann created this task.May 13 2016, 8:50 PM
Restricted Application added subscribers: Zppix, Aklapper. · View Herald TranscriptMay 13 2016, 8:50 PM
Yann added a subscriber: Tpt.May 13 2016, 8:51 PM

Is this an issue with ia-upload or with the OAuth setup on wikimedia wikis?

Yann added a comment.May 14 2016, 6:55 PM

I don't know, but ia-upload is the only tool where I find it is an issue.

Samwilson added a subscriber: Samwilson.

The cookie lifetime in ia-upload is 24 hours. This should probably be increased to match $wgCookieExpiration (30 days); does that sound sensible?

Samwilson triaged this task as Low priority.Feb 10 2017, 4:41 AM
Samwilson moved this task from Backlog to IA Upload on the Wikisource board.

Not before {T157781} and {T157784} please.

Samwilson added a parent task: Restricted Task.Feb 19 2017, 10:56 PM
Samwilson closed this task as Resolved.Mar 1 2017, 1:29 AM
Samwilson claimed this task.

I've increased the cookie lifetime to 30 days.